1

I'm attempting to install a pretty old version of Chrome (44.0.2403.133) on a Nexus 5X (Android 6). It already has Chrome on it so I ran

adb install -r -d path/to/chrome.apk

However, even with -d, it still failed with

Failure [INSTALL_FAILED_PERMISSION_MODEL_DOWNGRADE]

Examining the logcat output, this line stands out to me:

W PackageManager: Package com.android.chrome new target SDK 22 doesn't support runtime permissions but the old target SDK 23 does.
1

0

You must log in to answer this question.

Browse other questions tagged .